<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <h1>Predict Model</h1>
  <form id="inputForm" style="text-align: center;">
    <input type="file" name="file" accept=".csv">
        <div>
          <button type="button" class="btn btn-info" onclick="getResult()" value="submit"
            style="cursor: pointer;">Submit</button>
        </div>
  </form>

  <div class="row" id="result">
    
  </div>

<script>
  function getResult() {
    var form_data = new FormData($('#inputForm')[0]);
    var this_url = window.location.href
    var predict_position = this_url.indexOf("/predict/");
    var new_url = this_url.slice(predict_position)
    console.log(predict_position);
    console.log(new_url);
    $.ajax({
        type: 'POST',
        url: new_url,
        data: form_data,
        contentType: false,
        cache: false,
        processData: false,
        success: function(data) {
            $("#result").html(data);       
        },
    });
}

</script>